// - 优化处理修复及格式化问题
// （1） package.json 文件中的脚本命令：
//   包括如下： （全都只适合手动处理）
//       "lint":
//       "lint:script":
//       "lint:es":
//       "lint:ts":
//       "lint:fix":
//       "lint:fix:es":
//       "lint:fix:ts":
//       "lint:style":
// （2） 本模块，用于自动处理
// - 注意事项
// （1）*.{less,css,sass,scss} 匹配方式：less，css 中间没有空格，严格按照字符边界来处理；如果中间存在空格，那么会搜索.less或者. CSS
// （2）lint-staged 规则的制订一般两种；A. 直接使用命名行数组；B. 使用函数；方式A，会自动将匹配到的文件添加的命令行数组后面，而方式B不会自动添加；需要注意。

module.exports = {
  'src/**/*.{less,css,sass,scss}': [
    `stylelint --config ./.stylelintrc.json --fix`,
    `prettier --write`,
    `git add"`,
  ],

  // 'src/**/*.{jsx,js,tsx,ts}': (filenames) => {
  //   let linterRulesCommand = [];
  //   try {
  //     filenames.map((filename) => {
  //       console.log(
  //         `--> 匹配规则 [src/**/*.{jsx,js,tsx,ts}] 文件：filename => ${filename}`
  //       );
  //       linterRulesCommand = linterRulesCommand.concat([
  //         `eslint --fix '${filename}'`,
  //         `tslint --fix '${filename}'`,
  //         `prettier --write '${filename}'`,
  //         `git add '${filename}'`,
  //       ]);
  //     });
  //   } catch (e) {
  //     console.error(e);
  //   }
  //   console.log(`--> 预处理命令输出： ${JSON.stringify(linterRulesCommand)}`);
  //   return linterRulesCommand;
  // },

  'src/**/*.{jsx,js,tsx,ts}': [
    `eslint --fix`,
    `tslint --fix`,
    `prettier --write`,
    `git add`,
  ],

  'src/**/*.{json}': [`prettier --write`, `git add`],

  '{config,e2e,mock,scripts,tests,typings}/**/*.{js,json,ts}': [
    `prettier --write`,
    `git add`,
  ],
  './*.{js,json,ts}': [`prettier --write`, `git add`],
};
