/*---------------------------------------------------------------------------------------------
 *  Copyright (c) wodax Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/

const _ = require('lodash');
const specPKG = require(`./spec_packages/package`);

const commonStablePackages = specPKG.dependencies;

const mobx4xVersion = "4.15.2";

module.exports = {
	/// ebmp
	'00-wodax-ebmp': {
		'business-app-backstage': {
			version: '1.1.3',
			vcs: {
				url: 'http://git.woda.ink/wodax/template-project/ebmp/business-app-backstage.git',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {}),
			discard: {
				"umi-plugin-mobx-state-tree": true
			}
		},
		'permission-system-backstage': {
			version: '0.0.0',
			vcs: {
				url: '',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {}),
			discard: {}
		},
		'oa-system-backstage': {
			version: '0.0.0',
			vcs: {
				url: '',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {}),
			discard: {}
		},
		'monitor-system-backstage': {
			version: '0.0.0',
			vcs: {
				url: '',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {}),
			discard: {}
		}
	},

	/// apps
	'01-wodax-h5-app': {
		'wh5': {
			version: '1.0.0',
			vcs: {
				url: 'http://git.woda.ink/wodax/template-project/apps/26590/wh5.git',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {
				"mobx": mobx4xVersion
			}),
			discard: {

			}
		},
		'common-h5-app': {
			version: '1.4.4',
			vcs: {
				url: 'http://git.woda.ink/wodax/template-project/apps/umi/common-h5-app.git',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {
				"mobx": mobx4xVersion
			}),
			discard: {
				"umi-plugin-mobx-state-tree": true
			}
		}
	},

	/// mini apps
	'02-wodax-mini-app': {},

	/// cloud apps
	'03-wodax-cloud-app': {},

	/// flutter apps
	'04-wodax-flutter-app': {},

	/// websites
	'10-wodax-website': {
		'promotion-website': {
			version: '0.2.3',
			vcs: {
				url: 'http://git.woda.ink/wodax/template-project/websites/promotion-website.git',
				branch: 'release'
			},
			stable: _.extend({
				...commonStablePackages,
			}, {}),
			discard: {
				"umi-plugin-mobx-state-tree": true
			}
		}
	},

	/// block
	'11-wodax-block': {},

	/// library
	'12-wodax-library': {},

	/// plugin
	'13-wodax-plugin': {}
};
